> For the complete documentation index, see [llms.txt](https://docs.snapodds.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.snapodds.com/docs/mobile-sdk/ios/snapodds-sport-media/customization.md).

# Customization

## Customizing Colors

To customize colors in `SnapViewController` and `OddsResultsViewController`, use the `SnapscreenUIColorConfiguration` object on the Snapscreen instance.

```
Snapscreen.instance?.colorConfiguration.background = UIColor.white
```

## Customizing Fonts

To customize fonts in `SnapViewController` and `OddsResultsViewController`, use the `SnapscreenUIFontConfiguration` object on the Snapscreen instance.

```
Snapscreen.instance?.fontConfiguration.base = UIFont.systemFont(ofSize: 14, weight: ..regular)
```

## Customizing Snap UI

To customize displayed messages in the `SnapViewController` use the `SnapscreenSnapUIConfiguration` object on the Snapscreen instance.

```swift
Snapscreen.instance?.snapUIConfiguration.snapHintText = "My custom Hint"
```

All desired customizations must be done prior to presenting the  `SnapViewController`. While it is also possible to modify the configuration between presentations of the `SnapViewController`, modifications initiated while the `ViewController` is present are not guaranteed to be respected.

## Customizing Odds Display

To customize displayed messages in the `OddsResultsViewController` use the `SnapscreenOddsUIConfiguration` object on the Snapscreen instance.

```
Snapscreen.instance?.oddsUIConfiguration.title = "Game Odds"
```

All desired customizations must be done prior to present the `SnapViewController` and subsequently the `OddsResultsViewController`. While it is also possible to modify the configuration between presentations of the `OddsResultsViewController`, modifications initiated while the `ViewController` is present are not guaranteed to be respected.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.snapodds.com/docs/mobile-sdk/ios/snapodds-sport-media/customization.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
